org.apache.lucene.search.vectorhighlight

## Class ScoreOrderFragmentsBuilder.ScoreComparator

- java.lang.Object
- - org.apache.lucene.search.vectorhighlight.ScoreOrderFragmentsBuilder.ScoreComparator

All Implemented Interfaces:
  Comparator<FieldFragList.WeightedFragInfo>

Enclosing class:
  ScoreOrderFragmentsBuilder

    public static class ScoreOrderFragmentsBuilder.ScoreComparator
    extends Object
    implements Comparator<FieldFragList.WeightedFragInfo>

Comparator for `FieldFragList.WeightedFragInfo` by boost, breaking ties by offset.

### Constructor Summary

Constructors
Constructor and Description
`ScoreOrderFragmentsBuilder.ScoreComparator()`

### Method Summary

Methods
`int` `compare(FieldFragList.WeightedFragInfo o1, FieldFragList.WeightedFragInfo o2)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`equals`

### Constructor Detail

#### ScoreOrderFragmentsBuilder.ScoreComparator

    public ScoreOrderFragmentsBuilder.ScoreComparator()

### Method Detail

#### compare

    public int compare(FieldFragList.WeightedFragInfo o1,
              FieldFragList.WeightedFragInfo o2)

Specified by:
  `compare` in interface `Comparator<FieldFragList.WeightedFragInfo>`